Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::FileChooserSaveAsDialog Class Reference

A GtkFileChooserDialog "File/Save as" C++ wrapper class. More...

`#include <xfc/gtk/filechooserdialog.hh>`

Inheritance diagram for Xfc::Gtk::FileChooserSaveAsDialog:

List of all members.

## Public Member Functions

Constructors

- FileChooserSaveAsDialog (Window *parent=0)
    Constructs a new "File/Save as" FileChooserDialog with the title "Save as...".
- FileChooserSaveAsDialog (const String &title, Window *parent=0)
    Constructs a new "File/Save as" FileChooserDialog.
- virtual ~FileChooserSaveAsDialog ()
    Destructor.

## Detailed Description

A GtkFileChooserDialog "File/Save as" C++ wrapper class.

FileChooserSaveAsDialog is a dialog box suitable for use with "File/Save as" commands. To add buttons to the dialog call Gtk::Dialog::add_button().

See also: the File Chooser HOWTO and the file chooser example in the <tests/filechooser> suddirectory.

## Constructor & Destructor Documentation

Xfc::Gtk::FileChooserSaveAsDialog::FileChooserSaveAsDialog | ( | Window * | parent = `0` | ) |

  | Constructs a new "File/Save as" FileChooserDialog with the title "Save as...". Parameters:
  | parent | The transient parent of the dialog, or null.

Xfc::Gtk::FileChooserSaveAsDialog::FileChooserSaveAsDialog | ( | const String & | title,
|  | Window * | parent = `0`
| ) |

  | Constructs a new "File/Save as" FileChooserDialog. Parameters:
  | title | The title of the dialog, or null.
  | parent | The transient parent of the dialog.

The documentation for this class was generated from the following file:

- filechooserdialog.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3